
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global project_name kubernetes-dashboard

Name:           %{project_name}
Version:        2.0.3
Release:        1%{dist}
BuildArch:      x86_64
Summary:        Kubernetes Dashboard is a general purpose, web-based UI for Kubernetes clusters.
License:        Apache-2.0
Vendor:		    Oracle America
Group:          System/Management
Url:            https://github.com/kubernetes/dashboard
Source:         dashboard-%{version}.tar.bz2
Source11:	    kubernetes-dashboard-old.yaml
Source12:	    kubernetes-dashboard-new.yaml
BuildRequires:  gcc-c++
BuildRequires:	bc
BuildRequires:	git
%if %{?oraclelinux} == 7
BuildRequires:	scl-utils
BuildRequires:	rh-git218
%endif
%if %{?oraclelinux} == 8
BuildRequires:	npm
%endif
BuildRequires:	golang >= 1.13.15
BuildRequires:  nodejs >= 12.16.1

%description
Kubernetes Dashboard is a general purpose, web-based UI for Kubernetes clusters.
It allows users to manage applications running in the cluster, troubleshoot them, as well as manage the cluster itself.

%prep
%setup -q -n dashboard-%{version}

%build
%if %{?oraclelinux} == 7
scl enable rh-git218 'git tag v%{version}'
scl enable rh-git218 'npm ci --unsafe-perm'
scl enable rh-git218 'npm run build'
%endif
%if %{?oraclelinux} == 8
git tag v%{version}
npm ci --unsafe-perm
npm run build
%endif

%install
install -m 755 -d %{buildroot}/usr/local/share/olcne/dashboard
install -p -m 755 -t %{buildroot}/usr/local/share/olcne/dashboard/ dist/amd64/dashboard
install -p -m 644 -t %{buildroot}/usr/local/share/olcne/dashboard/ dist/amd64/locale_conf.json
install -p -m 644 -t %{buildroot}/usr/local/share/olcne/dashboard/ %{SOURCE11}
install -p -m 644 -t %{buildroot}/usr/local/share/olcne/dashboard/ %{SOURCE12}
install -m 755 -d %{buildroot}/usr/local/share/olcne/dashboard/public
cp -a dist/amd64/public/* %{buildroot}/usr/local/share/olcne/dashboard/public/

%files
%license LICENSE THIRD_PARTY_LICENSES.txt NOTICE
/usr/local/share/olcne/dashboard/dashboard
/usr/local/share/olcne/dashboard/public/
/usr/local/share/olcne/dashboard/locale_conf.json
/usr/local/share/olcne/dashboard/kubernetes-dashboard-old.yaml
/usr/local/share/olcne/dashboard/kubernetes-dashboard-new.yaml

%changelog
* Wed Oct 21 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 2.0.3-1
- Added Oracle Specific Build Files for kubernetes-dashboard
